org.cpsolver.coursett.constraint

## Class JenrlConstraint.JenrlConstraintContext

- java.lang.Object
- - org.cpsolver.coursett.constraint.JenrlConstraint.JenrlConstraintContext

- All Implemented Interfaces:
    AssignmentConstraintContext<Lecture,Placement>, AssignmentContext
  Enclosing class:
    JenrlConstraint

      public class JenrlConstraint.JenrlConstraintContext
      extends Object
      implements AssignmentConstraintContext<Lecture,Placement>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JenrlConstraintContext(Assignment<Lecture,Placement> assignment)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `assigned(Assignment<Lecture,Placement> assignment, Placement value)` Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
    `void` | `decLimit(double weight)`
    `void` | `incLimit(double weight)`
    `boolean` | `isConflicting()`
    `boolean` | `isOverLimit()`
    `void` | `unassigned(Assignment<Lecture,Placement> assignment, Placement value)` Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.
    `void` | `weaken()`
    `void` | `weaken(Assignment<Lecture,Placement> assignment, Placement value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JenrlConstraintContext

          public JenrlConstraintContext(Assignment<Lecture,Placement> assignment)

  - ### Method Detail

    - #### assigned

          public void assigned(Assignment<Lecture,Placement> assignment,
                               Placement value)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.assigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `assigned` in interface `AssignmentConstraintContext<Lecture,Placement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `value` - assigned value

    - #### unassigned

          public void unassigned(Assignment<Lecture,Placement> assignment,
                                 Placement value)

      Description copied from interface: `AssignmentConstraintContext`
      Called when `ConstraintWithContext.unassigned(Assignment, long, Value)` is called to update the content of the context.
      Specified by:
        `unassigned` in interface `AssignmentConstraintContext<Lecture,Placement>`
      Parameters:
        `assignment` - current assignment (with which this context is associated)
        `value` - unassigned value

    - #### isConflicting

          public boolean isConflicting()

    - #### weaken

          public void weaken(Assignment<Lecture,Placement> assignment,
                             Placement value)

    - #### weaken

          public void weaken()

    - #### isOverLimit

          public boolean isOverLimit()

    - #### incLimit

          public void incLimit(double weight)

    - #### decLimit

          public void decLimit(double weight)